/**
   @version 1.10 2003-08-02
   @author Cay Horstmann
*/

import java.util.*;

/**
   Program wykorzystujący zbiór w celu pokazania wszystkich słów
   odczytanych z System.in.

*/
public class SetTest
{ 
   public static void main(String[] args)
   {  
      Set<String> words = new HashSet<String>(); // HashSet implementuje Set
      long totalTime = 0;

      Scanner in = new Scanner(System.in);
      while (in.hasNext())
      {  
         String word = in.next();
         long callTime = System.currentTimeMillis();
         words.add(word);
         callTime = System.currentTimeMillis() - callTime;
         totalTime += callTime;
      }

      Iterator<String> iter = words.iterator();
      for (int i = 1; i <= 20; i++)
         System.out.println(iter.next());
      System.out.println(". . .");
      System.out.println(words.size() + " unikalnych slow. " + totalTime + " milisekund.");
   }
}

